Skip to content

FilesController_completeUpload

POST
/api/files/uploads/{assetId}/complete
curl --request POST \
--url https://api.streams-ai.com/api/files/uploads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \
--header 'Content-Type: application/json' \
--data '{ "uploadId": "example", "parts": [ { "partNumber": 1, "etag": "example" } ] }'
assetId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
uploadId
required
string
>= 1 characters
parts
required
Array<object>
>= 1 items
object
partNumber
required
integer
>= 1 <= 9007199254740991
etag
required
string
>= 1 characters
Examplegenerated
{
"uploadId": "example",
"parts": [
{
"partNumber": 1,
"etag": "example"
}
]
}